<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>split</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="split">
<span id="ext-split"></span>
<h1 class="title">split</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#commands" id="toc-entry-1">Commands</a><ul>
<li><a class="reference internal" href="#change-manipulation" id="toc-entry-2">Change manipulation</a></li>
</ul>
</li>
</ul>
</div>
<p>command to split a changeset into smaller ones (EXPERIMENTAL)</p>
<div class="section" id="commands">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<div class="section" id="change-manipulation">
<h2><a class="toc-backref" href="#contents">Change manipulation</a></h2>
<div class="section" id="split-1">
<h3>split</h3>
<p>split a changeset into smaller ones:</p>
<pre class="literal-block">
hg split [--no-rebase] [[-r] REV]
</pre>
<p>Repeatedly prompt changes and commit message for new changesets until there
is nothing left in the original changeset.</p>
<p>If --rev was not given, split the working directory parent.</p>
<p>By default, rebase connected non-obsoleted descendants onto the new
changeset. Use --no-rebase to avoid the rebase.</p>
<p>Options:</p>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;REV&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>revision to split</td></tr>
<tr><td class="option-group">
<kbd><span class="option">--rebase</span></kbd></td>
<td>rebase descendants after split (default: True)</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-d</span>, <span class="option">--date <var>&lt;DATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>record the specified date as commit date</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-u</span>, <span class="option">--user <var>&lt;USER&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>record the specified user as committer</td></tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</body>
</html>
